import h from 'virtual-dom/h'
import Dialogue from 'dialogue'

function View (options) {
	var self = this;

	var o = this.options = extend({
		title: ''
	}, options);

	this.dialogue = new Dialogue({
		renderer: o.renderer,
		id: o.title.replace(' ', '-').toLowerCase(),
		title: o.title,
		size: {width: 200, height: 320},
		position: {top: 100, left: 100},
	})

	function ready(Content) {
		self.content = new Content.default();
		o.renderer.render()
	}

	switch(o.title){
		case 'Probe':
			require(['./views/probe'], ready)
			break;
		case 'Cities':
			require(['./views/cities'], ready)
			break;
		case 'Meteograms':
			require(['./views/meteograms'], ready)
			break;
	}
}

View.prototype = {
	render: function() {
		return this.dialogue.render(this.content.render())
	},

	content: {
		render: function() { return h('')}
	}
}

export default View
